<?php

/**
 * Header Options
 *
 * @package dog_pet_house
 */


// ---------------------------------------- GENERAL OPTIONBS ----------------------------------------------------


// ---------------------------------------- PRELOADER ----------------------------------------------------

$wp_customize->add_section(
	'dog_pet_house_general_options',
	array(
		'panel' => 'dog_pet_house_theme_options',
		'title' => esc_html__( 'General Options', 'dog-pet-house' ),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'dog_pet_house_preloader_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dog_Pet_House_Separator_Custom_Control( $wp_customize, 'dog_pet_house_preloader_separator', array(
	'label' => __( 'Enable / Disable Site Preloader Section', 'dog-pet-house' ),
	'section' => 'dog_pet_house_general_options',
	'settings' => 'dog_pet_house_preloader_separator',
) ) );


// General Options - Enable Preloader.
$wp_customize->add_setting(
	'dog_pet_house_enable_preloader',
	array(
		'sanitize_callback' => 'dog_pet_house_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Dog_Pet_House_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dog_pet_house_enable_preloader',
		array(
			'label'   => esc_html__( 'Enable Preloader', 'dog-pet-house' ),
			'section' => 'dog_pet_house_general_options',
		)
	)
);

// Preloader Style Setting
$wp_customize->add_setting(
    'dog_pet_house_preloader_style',
    array(
        'default'           => 'style1',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'dog_pet_house_preloader_style',
    array(
        'type'     => 'select',
        'label'    => esc_html__('Select Preloader Styles', 'dog-pet-house'),
		'active_callback' => 'dog_pet_house_is_preloader_style',
        'section'  => 'dog_pet_house_general_options',
        'choices'  => array(
            'style1' => esc_html__('Style 1', 'dog-pet-house'),
            'style2' => esc_html__('Style 2', 'dog-pet-house'),
            'style3' => esc_html__('Style 3', 'dog-pet-house'),
        ),
    )
);


// Preloader Background Color Setting
$wp_customize->add_setting(
	'dog_pet_house_preloader_background_color_setting',
	 array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 'dog_pet_house_preloader_background_color_setting', 
		array(
			'label' => __('Preloader Background Color', 'dog-pet-house'),
			'active_callback' => 'dog_pet_house_is_preloader_style',
			'section' => 'dog_pet_house_general_options',
		)
	)
);

// Preloader Background Image Setting
$wp_customize->add_setting(
	'dog_pet_house_preloader_background_image_setting', 
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize, 'dog_pet_house_preloader_background_image_setting',
		 array(
			'label' => __('Preloader Background Image', 'dog-pet-house'),
			'active_callback' => 'dog_pet_house_is_preloader_style',
			'section' => 'dog_pet_house_general_options',
		)
	)
);

// ---------------------------------------- PAGINATION ---------------------------------------------------

// Add Separator Custom Control
$wp_customize->add_setting( 'dog_pet_house_pagination_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dog_Pet_House_Separator_Custom_Control( $wp_customize, 'dog_pet_house_pagination_separator', array(
	'label' => __( 'Enable / Disable Pagination Section', 'dog-pet-house' ),
	'section' => 'dog_pet_house_general_options',
	'settings' => 'dog_pet_house_pagination_separator',
) ) );


// Pagination - Enable Pagination.
$wp_customize->add_setting(
	'dog_pet_house_enable_pagination',
	array(
		'default'           => true,
		'sanitize_callback' => 'dog_pet_house_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Dog_Pet_House_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dog_pet_house_enable_pagination',
		array(
			'label'    => esc_html__( 'Enable Pagination', 'dog-pet-house' ),
			'section'  => 'dog_pet_house_general_options',
			'settings' => 'dog_pet_house_enable_pagination',
			'type'     => 'checkbox',
		)
	)
);

// Pagination - Pagination Type.
$wp_customize->add_setting(
	'dog_pet_house_pagination_type',
	array(
		'default'           => 'default',
		'sanitize_callback' => 'dog_pet_house_sanitize_select',
	)
);

$wp_customize->add_control(
	'dog_pet_house_pagination_type',
	array(
		'label'           => esc_html__( 'Pagination Type', 'dog-pet-house' ),
		'section'         => 'dog_pet_house_general_options',
		'settings'        => 'dog_pet_house_pagination_type',
		'active_callback' => 'dog_pet_house_is_pagination_enabled',
		'type'            => 'select',
		'choices'         => array(
			'default' => __( 'Default (Older/Newer)', 'dog-pet-house' ),
			'numeric' => __( 'Numeric', 'dog-pet-house' ),
		),
	)
);

// ---------------------------------------- BREADCRUMB ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'dog_pet_house_breadcrumb_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dog_Pet_House_Separator_Custom_Control( $wp_customize, 'dog_pet_house_breadcrumb_separators', array(
	'label' => __( 'Enable / Disable Breadcrumb Section', 'dog-pet-house' ),
	'section' => 'dog_pet_house_general_options',
	'settings' => 'dog_pet_house_breadcrumb_separators',
)));


// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'dog_pet_house_enable_breadcrumb',
	array(
		'sanitize_callback' => 'dog_pet_house_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Dog_Pet_House_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dog_pet_house_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'dog-pet-house' ),
			'section' => 'dog_pet_house_general_options',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'dog_pet_house_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'dog_pet_house_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'dog-pet-house' ),
		'active_callback' => 'dog_pet_house_is_breadcrumb_enabled',
		'section'         => 'dog_pet_house_general_options',
	)
);



// ---------------------------------------- Website layout ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'dog_pet_house_layuout_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dog_Pet_House_Separator_Custom_Control( $wp_customize, 'dog_pet_house_layuout_separator', array(
	'label' => __( 'Website Layout Setting', 'dog-pet-house' ),
	'section' => 'dog_pet_house_general_options',
	'settings' => 'dog_pet_house_layuout_separator',
)));


$wp_customize->add_setting(
	'dog_pet_house_website_layout',
	array(
		'sanitize_callback' => 'dog_pet_house_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Dog_Pet_House_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dog_pet_house_website_layout',
		array(
			'label'   => esc_html__('Boxed Layout', 'dog-pet-house'),
			'section' => 'dog_pet_house_general_options',
		)
	)
);


$wp_customize->add_setting('dog_pet_house_layout_width_margin', array(
	'default'           => 50,
	'sanitize_callback' => 'dog_pet_house_sanitize_range_value',
));

$wp_customize->add_control(new Dog_Pet_house_Customize_Range_Control($wp_customize, 'dog_pet_house_layout_width_margin', array(
		'label'       => __('Set Width', 'dog-pet-house'),
		'description' => __('Adjust the width around the website layout by moving the slider. Use this setting to customize the appearance of your site to fit your design preferences.', 'dog-pet-house'),
		'section'     => 'dog_pet_house_general_options',
		'settings'    => 'dog_pet_house_layout_width_margin',
		'active_callback' => 'dog_pet_house_is_layout_enabled',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 130,
			'step' => 1,
		),
)));




// ---------------------------------------- HEADER OPTIONS ----------------------------------------------------	


$wp_customize->add_section(
	'dog_pet_house_header_options',
	array(
		'panel' => 'dog_pet_house_theme_options',
		'title' => esc_html__( 'Header Options', 'dog-pet-house' ),
	)
);

// Add setting for sticky header
$wp_customize->add_setting(
	'dog_pet_house_enable_sticky_header',
	array(
		'sanitize_callback' => 'dog_pet_house_sanitize_switch',
		'default'           => false,
	)
);

// Add control for sticky header setting
$wp_customize->add_control(
	new Dog_Pet_House_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dog_pet_house_enable_sticky_header',
		array(
			'label'   => esc_html__( 'Enable Sticky Header', 'dog-pet-house' ),
			'section' => 'dog_pet_house_header_options',
		)
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'dog_pet_house_menu_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Dog_Pet_House_Separator_Custom_Control( $wp_customize, 'dog_pet_house_menu_separator', array(
	'label' => __( 'Menu Settings', 'dog-pet-house' ),
	'section' => 'dog_pet_house_header_options',
	'settings' => 'dog_pet_house_menu_separator',
)));

$wp_customize->add_setting( 'dog_pet_house_menu_font_size', array(
    'default'           => 15,
    'sanitize_callback' => 'absint',
) );

// Add control for site title size
$wp_customize->add_control( 'dog_pet_house_menu_font_size', array(
    'type'        => 'number',
    'section'     => 'dog_pet_house_header_options',
    'label'       => __( 'Menu Font Size ', 'dog-pet-house' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
));

$wp_customize->add_setting( 'dog_pet_house_menu_text_transform', array(
    'default'           => 'capitalize', // Default value for text transform
    'sanitize_callback' => 'sanitize_text_field',
) );

// Add control for menu text transform
$wp_customize->add_control( 'dog_pet_house_menu_text_transform', array(
    'type'     => 'select',
    'section'  => 'dog_pet_house_header_options', // Adjust the section as needed
    'label'    => __( 'Menu Text Transform', 'dog-pet-house' ),
    'choices'  => array(
        'none'       => __( 'None', 'dog-pet-house' ),
        'capitalize' => __( 'Capitalize', 'dog-pet-house' ),
        'uppercase'  => __( 'Uppercase', 'dog-pet-house' ),
        'lowercase'  => __( 'Lowercase', 'dog-pet-house' ),
    ),
) );

// Add setting for menu font weight
$wp_customize->add_setting('dog_pet_house_menu_font_weight', array(
    'default'           => '400',
    'sanitize_callback' => 'sanitize_text_field',
));

// Add control for menu font weight
$wp_customize->add_control('dog_pet_house_menu_font_weight', array(
    'type'     => 'select',
    'section'  => 'dog_pet_house_header_options', 
    'label'    => __('Menu Font Weight', 'dog-pet-house'),
    'choices'  => array(
		'100' => __('100','dog-pet-house'),
		'200' => __('200','dog-pet-house'),
		'300' => __('300','dog-pet-house'),
		'400' => __('400','dog-pet-house'),
		'500' => __('500','dog-pet-house'),
		'600' => __('600','dog-pet-house'),
		'700' => __('700','dog-pet-house'),
		'800' => __('800','dog-pet-house'),
		'900' => __('900','dog-pet-house'),
    ),
));

// Menu Text Color 
$wp_customize->add_setting(
	'dog_pet_house_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'dog_pet_house_menu_text_color', 
		array(
			'label' => __('Menu Color', 'dog-pet-house'),
			'section' => 'dog_pet_house_header_options',
		)
	)
);

// Sub Menu Text Color 
$wp_customize->add_setting(
	'dog_pet_house_sub_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'dog_pet_house_sub_menu_text_color', 
		array(
			'label' => __('Sub Menu Color', 'dog-pet-house'),
			'section' => 'dog_pet_house_header_options',
		)
	)
);

// ----------------------------------------SITE IDENTITY----------------------------------------------------


// Site Logo - Enable Setting.
$wp_customize->add_setting(
	'dog_pet_house_enable_site_logo',
	array(
		'default'           => true, // Default is to display the logo.
		'sanitize_callback' => 'dog_pet_house_sanitize_switch', // Sanitize using a custom switch function.
	)
);

$wp_customize->add_control(
	new Dog_Pet_House_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dog_pet_house_enable_site_logo',
		array(
			'label'    => esc_html__( 'Enable Site Logo', 'dog-pet-house' ),
			'section'  => 'title_tagline', // Section to add this control.
			'settings' => 'dog_pet_house_enable_site_logo',
		)
	)
);

// Site Title - Enable Setting.
$wp_customize->add_setting(
	'dog_pet_house_enable_site_title_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'dog_pet_house_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Dog_Pet_House_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dog_pet_house_enable_site_title_setting',
		array(
			'label'    => esc_html__( 'Enable Site Title', 'dog-pet-house' ),
			'section'  => 'title_tagline',
			'settings' => 'dog_pet_house_enable_site_title_setting',
		)
	)
);

$wp_customize->add_setting( 'dog_pet_house_site_title_size', array(
    'default'           => 30, // Default font size in pixels
    'sanitize_callback' => 'absint', // Sanitize the input as a positive integer
) );

// Add control for site title size
$wp_customize->add_control( 'dog_pet_house_site_title_size', array(
    'type'        => 'number',
    'section'     => 'title_tagline', // You can change this section to your preferred section
    'label'       => __( 'Site Title Font Size ', 'dog-pet-house' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
) );
// Tagline - Enable Setting.
$wp_customize->add_setting(
	'dog_pet_house_enable_tagline_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'dog_pet_house_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Dog_Pet_House_Toggle_Switch_Custom_Control(
		$wp_customize,
		'dog_pet_house_enable_tagline_setting',
		array(
			'label'    => esc_html__( 'Enable Tagline', 'dog-pet-house' ),
			'section'  => 'title_tagline',
			'settings' => 'dog_pet_house_enable_tagline_setting',
		)
	)
);

$wp_customize->add_setting('dog_pet_house_site_logo_width', array(
    'default'           => 200,
    'sanitize_callback' => 'dog_pet_house_sanitize_range_value',
));

$wp_customize->add_control(new Dog_Pet_House_Customize_Range_Control($wp_customize, 'dog_pet_house_site_logo_width', array(
    'label'       => __('Adjust Site Logo Width', 'dog-pet-house'),
    'description' => __('This setting controls the Width of Site Logo', 'dog-pet-house'),
    'section'     => 'title_tagline',
    'settings'    => 'dog_pet_house_site_logo_width',
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 400,
        'step' => 5,
    ),
)));